Subscribe

SnapCenter 1.1 repository

Hi all

 

I have some questions and doubts about sql repository

 

- installation guide and IMT lists this supported SQL Server versions: SQL Server 2014 or SQL Server 2012 SP2... but only this specific versions are supported or SQL Server 2014 and above or SQL Server 2012 SP2 and above ? example SQL Server 2014 SP1 or SQL Server 2012 SP3

 

- the embedded installation of SQL 2012 Express is not suggested for production environment but is supported by Netapp?

 

- why the embedded installation of SQL 2012 Express shows this version 11.0.2100.60? this is  SQL 2012 RTM !

 

- if I install SQL Server 2014 Standard Edition or SQL Server 2012 SP2 Standard Edition with the SnapCenter Server on the same host is it possible to protect the repository with the  "Protect-SmRepository" command? it seems to not be possible because the command try to connect to host plug-in and the result is "Unable to find any plugins on host"

 

- if I don't use the "Protect-SmRepository" command can I protect the repository db with a standard SQL Maintenance Plan? is this method supported?

 

Many thanks

 

Federico

Re: SnapCenter 1.1 repository

Hi Federico,

 

 

 SQL Server 2014 and above or SQL Server 2012 SP2 and above is supported on Snapcenter for protecting your repository. sorry if the IMT was confusing.

 

Also, Protect-SmRepository can be used to protect your repository even if the server and plugin are on the same machine. The error you are seeing should be for some other issue and not because server and plugin are installed on the same machine.

 

Thanks,

Ujjwala

Re: SnapCenter 1.1 repository

Hello Ujjwala

 

if I register the snapcenter itself in the host menu the gui says that there isn't any plug-in on the host... I try to install plug-in but the installation fails.

 

 

Federico

Re: SnapCenter 1.1 repository

Hi Federico,

 

Then there should be some other issue that is casuing the plugin installation to fail. 

We might have to look into the setup.  

The snapcenter user should have local admin rights to push the plugin installation. Can you verify if the user has local admin rights ?

If so, can you share setup details ?

 

Thanks,

Ujjwala

Re: SnapCenter 1.1 repository

Hi Ujjwala

 

yes the snapcenter user has local admin rights !

 

do you mean the plug-in installation log?

 

 

Federico

Re: SnapCenter 1.1 repository

Yeah, for now you can share the logs.

 

Thanks,

Ujjwala

Re: SnapCenter 1.1 repository

Hi Ujjwala

 

I attach the log file

 

I see this error in the log "The specified directory service attribute or value does not exist" and also when I try to add user to SnapCenterAdmin role

 

Thanks

 

Federico

Re: SnapCenter 1.1 repository

Hi Federico,

 

 

We need installation log from SQL plugin machine from the temp folder (ex: C:\Users\ADMINI~1.NGA\AppData\Local\Temp\2)

 

 

Thanks

Shankar

Re: SnapCenter 1.1 repository

Hi Shankar

 

the host where I try to install plug-in is the snapcenter server itself.

 

I can't find any log file created in the temp directory when I try to install plug-in.

 

The only install logs in temp directory are this:

 

 

SMSInstall_2016_29_09T12-51-24.log

SMCoreInstall_2016_29_09T12-51-24.log

 

the date and time when I have installed snapcenter server.

 

Thanks

 

 

Federico